config/routes.rb
Rails.application.routes.draw do

  resources :diplomas
  devise_for :centers,
             :path=>'recruteur',
             :path_names=>{:sign_in=>'login', :edit=>'profile'},
             :controllers=>{
                 :registrations=>'centers/registrations',
                 :sessions=>'centers/sessions'
             }

  devise_for :users,
             :path=>'',
             :path_names=>{:sign_in=>'login', :sign_out=>'logout', :edit=>'profile'},
             :controllers=>{
                 :registrations=>'users/registrations',
                 :sessions=>'users/sessions'
             }

  resources :users do
    get :matching_offers
  end
  resources :centers
  resources :availabilities
  resources :circonscriptions
  resources :offers
  resources :schools

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html

  # root page of the application
  root 'pages#home'

  get '/search' => 'pages#search'
end

app/models/school.rb
class School < ActiveRecord::Base
  belongs_to :center
  has_many :offer

  validates :name, presence:true
  validates :address, presence:true
  validates :circonscription, presence:true

end

app/controllers/schools_controller.rb
class SchoolsController < ApplicationController
  before_action :set_school, only: [:show, :edit, :update, :destroy]

  def index
    @schools = School.all
  end

  def new
    @school = School.new
  end

  def edit
  end

  def show
    @school = School.find(params[:id])
    @center = Center.find(@school.center_id)
  end

  def create
    @school = School.new(school_params)
    if @school.save
      redirect_to school_path(@school), notice: 'School was successfully created.'
    else
     render 'new'
    end
  end

  def update
    if @school.update(school_params)
      redirect_to schools_path(@school), notice: "L'Ecole a été modifiée avec succès"
    else
      render :edit
    end
  end

  private
    def set_school
      @school = School.find(params[:id])
    end

    def school_params
      params.require(:school).permit(:name, :address, :circonscription, :center_id)
    end

end

app/views/schools/edit.html.erb
<div class="container">

  <div class="col-md-8 col-sm-12 col-md-offset-2 form-flex form-panel_wrapper">
    <%= form_for @school do |f| %>
        <div class="panel panel-default">
          <div class="panel-heading">
            <div class="form-heading-title">Editer l'école</div>
          </div>
          <div class="panel-body">
            <div class="form-group">
              <%= f.label :name, "Nom de l'Ecole", class: 'control-label', :required => true %>
              <%= f.text_field :name, placeholder: 'Ex: Richomme Elem 9', class: 'form-control' %>
            </div>
            <div class="form-group">
              <%= f.label :address, 'Addresse', class: 'control-label'%>
              <%= f.text_field :address, class: 'form-control', placeholder: "Ex: 19 Rue de l'Arbre Sec, 75001 Paris", :required => true %>
            </div>
            <div class="form-group">
              <%= f.label :circonscription, 'Circonscription', class: 'control-label'%>
              <%= f.select :circonscription, options_for_select(
                  [
                      ["CASPE 6 14", "CASPE 6 14"],
                      ["CASPE 18", "CASPE 18"]
                  ]
              ), {include_blank: false}, {class: 'form-control'} %>
            </div>
            <div class="form-group">
              <%= f.label :center_id, 'Responsable du Centre de Loisirs', class: 'control-label'%>
              <%= f.collection_select :center_id, Center.all, :id, :rev_full_name, {}, { class: 'form-control' } %>
            </div>
          </div> <!-- .panel-body -->
        </div> <!-- .panel -->
        <%= f.submit t('.submit', default: "Modifier l'école"), class: 'btn btn-edit-form' %>
    <% end %> <!-- form -->
  </div>
</div>

app/views/schools/index.html.erb
<div class="container">
  <div class="col-md-12">
    <h2>Toutes les écoles (<%= @schools.count %>)</h2>
    <div>
    <% @schools.each do |school| %>
      <%= link_to school_path(school) do %>
        <%= school.name %><br />
      <% end %>
      <%= school.address %><br />
      <%= school.circonscription %><br />
    <%= school.center.rev_full_name %><br />
    <%= link_to 'Modifier', edit_school_path(school) %>
          <br /><br />
    <% end %>
    </div>
  </div>
</div>

app/views/schools/new.html.erb
<div class="container">

  <div class="col-md-8 col-sm-12 col-md-offset-2 form-flex form-panel_wrapper">
      <%= form_for @school do |f| %>
        <div class="panel panel-default">
          <div class="panel-heading">
            <div class="form-heading-title">Créer une nouvelle école</div>
          </div>
          <div class="panel-body">
            <div class="form-group">
              <%= f.label :name, "Nom de l'Ecole", class: 'control-label', :required => true %>
              <%= f.text_field :name, placeholder: 'Ex: Richomme Elem 9', class: 'form-control' %>
            </div>
            <div class="form-group">
              <%= f.label :address, 'Addresse', class: 'control-label'%>
              <%= f.text_field :address, class: 'form-control', placeholder: "Ex: 19 Rue de l'Arbre Sec, 75001 Paris", :required => true %>
            </div>
            <div class="form-group">
              <%= f.label :circonscription, 'Circonscription', class: 'control-label'%>
              <%= f.select :circonscription, options_for_select(
                  [
                      ["CASPE 6 14", "CASPE 6 14"],
                      ["CASPE 18", "CASPE 18"]
                  ]
              ), {include_blank: false}, {class: 'form-control'} %>
            </div>
            <div class="form-group">
              <%= f.label :center_id, 'Responsable du Centre de Loisirs', class: 'control-label'%>
              <%= f.collection_select :center_id, Center.all, :id, :rev_full_name, {}, { class: 'form-control' } %>
            </div>
          </div> <!-- .panel-body -->
          </div> <!-- .panel -->
          <%= f.submit t('.submit', default: "Créer l'école"), class: 'btn btn-edit-form' %>
        <% end %> <!-- form -->
    </div>
</div>

app/views/schools/show.html.erb
<div class="container">
  <div class="col-md-4">
    <h2>Ecole <%= @school.name.titleize %></h2>
    <h4><%= @school.circonscription %></h4>
    <h5 class="school-desc_address"><%= @school.address %></h5>
    <div class="school-desc_rev">
      <div>Responsable du Centre de Loisirs:</div>
      <div class="school-desc_rev_info">
        <div><i class="fa fa-user fa-lg"></i> <%= @center.rev_full_name %> </div>
        <div><i class="fa fa-phone fa-lg"></i><a href="tel:<%= @center.phone_number %>"> <%= @center.phone_number %></a></div>
      </div>
    </div>

  </div>
  <div class="col-md-8">
    <br/>
    <iframe
      width="100%"
      height="400"
      frameborder="0" style="border:0"
      src="https://www.google.com/maps/embed/v1/search?key=AIzaSyAsexoLxRETLc1xOzZUkGv_hHRrXq5C6TA&q=<%= @school.address %>&zoom=15" allowfullscreen>
    </iframe>
  </div>
</div>